package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class MedDeptBonusFactory
{
    private MedDeptBonusFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IMedDeptBonus getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IMedDeptBonus)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("93177157") ,com.kingdee.eas.custom.compensation.IMedDeptBonus.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IMedDeptBonus getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IMedDeptBonus)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("93177157") ,com.kingdee.eas.custom.compensation.IMedDeptBonus.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IMedDeptBonus getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IMedDeptBonus)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("93177157"));
    }
    public static com.kingdee.eas.custom.compensation.IMedDeptBonus getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IMedDeptBonus)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("93177157"));
    }
}